# Uses of Interface
org.jdesktop.application.TaskListener

Packages that use TaskListener
Package
Description
org.jdesktop.application

## Uses of TaskListener in org.jdesktop.application

Classes in org.jdesktop.application that implement TaskListener
Modifier and Type
Class
Description
`static class`
`TaskListener.Adapter<T,V>`
Convenience class that stubs all of the TaskListener interface methods.
Methods in org.jdesktop.application that return TaskListener
Modifier and Type
Method
Description
`TaskListener<T,V>[]`
Task.`getTaskListeners()`
Returns a copy of this Task's `TaskListeners`.
Methods in org.jdesktop.application with parameters of type TaskListener
Modifier and Type
Method
Description
`void`
Task.`addTaskListener(TaskListener<T,V> listener)`
Adds a `TaskListener` to this Task.
`void`
Task.`removeTaskListener(TaskListener<T,V> listener)`
Removes a `TaskListener` from this Task.